// This program is created for LPC-H2138 board
// Blink led

#include "system.h"
#include "led.h"
#include "buttons.h"

int main()
{
  /**** INITIALIZATION ****/
  // Frequency initialization
  FrecInit();
  // Led initialization
  LedsInit();
  // Buttons initialization
  InitButtons();


  // loop forever
  while(1) {

    // if button 1 is pressed
    if(!BUT1_PRESSED)
      Led1On();
    else
      Led1Off();


    // if button 2 is pressed
    if(!BUT2_PRESSED)
      Led2On();
    else
      Led2Off();

  }

}
